# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "userstream"
  s.version = "1.4.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Kazuya Takeshima"]
  s.date = "2013-12-14"
  s.description = "UserStream is a simple twitter userstream library."
  s.email = ["mail@mitukiii.jp"]
  s.homepage = "https://github.com/mitukiii/userstream"
  s.require_paths = ["lib"]
  s.rubyforge_project = "userstream"
  s.rubygems_version = "1.8.23.2"
  s.summary = "UserStream is a simple twitter userstream library."

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<oauth>, ["~> 0.4.7"])
      s.add_runtime_dependency(%q<yajl-ruby>, ["~> 1.1.0"])
      s.add_runtime_dependency(%q<hashie>, ["~> 1.2.0"])
      s.add_development_dependency(%q<rspec>, ["~> 2.9.0"])
    else
      s.add_dependency(%q<oauth>, ["~> 0.4.7"])
      s.add_dependency(%q<yajl-ruby>, ["~> 1.1.0"])
      s.add_dependency(%q<hashie>, ["~> 1.2.0"])
      s.add_dependency(%q<rspec>, ["~> 2.9.0"])
    end
  else
    s.add_dependency(%q<oauth>, ["~> 0.4.7"])
    s.add_dependency(%q<yajl-ruby>, ["~> 1.1.0"])
    s.add_dependency(%q<hashie>, ["~> 1.2.0"])
    s.add_dependency(%q<rspec>, ["~> 2.9.0"])
  end
end
